import fetch from '@/api/fetch';

const path = process.env.VUE_APP_SYSTEM_SERVER_URL;

export const fetchCollectList = req =>
  fetch({
    url: path + '/adminChange/queryCollect',
    timeout: 30000,
    ...req,
  });
export const addCollect = req =>
  fetch({
    url: path + '/adminChange/saveCollect',
    method: 'post',
    ...req,
  });
export const delCollect = req =>
  fetch({
    url: path + '/adminChange/delteCollect',
    ...req,
  });

export const fetchMenuTree = req =>
  fetch({
    url: path + '/menu/menu/list',
    method: 'post',
    ...req,
  });
export const addMenuNode = req =>
  fetch({
    url: path + '/menu/menu',
    method: 'post',
    ...req,
  });
export const fetchEditMenuDetail = req =>
  fetch({
    url: path + `/menu/menuButton/${req.data.id}`,
    method: 'get',
    ...req,
  });
export const updateMenuNode = req =>
  fetch({
    url: path + '/menu/menu',
    method: 'put',
    ...req,
  });
export const moveMenuNode = req =>
  fetch({
    url: path + `/menu/menu/${req.data.id}`,
    method: 'put',
    ...req,
  });
export const deleteMenuNode = req =>
  fetch({
    url: path + `/menu/menu/${req.data.id}`,
    method: 'delete',
    ...req,
  });
export const toggleMenuNodeState = req =>
  fetch({
    url: path + '/menu/menu/lock',
    method: 'post',
    ...req,
  });
export const fetchMenuNodeButton = req =>
  fetch({
    url: path + `/menu/menuButton/${req.data.id}`,
    method: 'post',
    ...req,
  });
export const fetchMenuUseState = req =>
  fetch({
    url: path + `/menu/menu/isUse/${req.data.id}`,
    method: 'get',
    ...req,
  });
