const pagination = manageShell.default.storeModule.pagination;
import { fetchThresholdList } from '@/api/shower/threshold';
const initFiltersStore = manageShell.default.storeModule.filter;
const getFilters = manageShell.default.utils.getFilters;
const formatDate = manageShell.default.utils.formatDate;

const GET_LIST = 'GET_LIST';

const initFilters = () => ({
  operatorId:null,
  areaId:null,
  status:null,



});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
    fetchThresholdList({ state, commit, dispatch,getters }, entity) {

    const filters   = getFilters(getters.filters);
  
    return fetchThresholdList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_LIST, list);
    });
  },
};

const mutations = {
  [GET_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
