const pagination = manageShell.default.storeModule.pagination;
const initFiltersStore = manageShell.default.storeModule.filter;
const getFilters = manageShell.default.utils.getFilters;
import { fetchParamsMapList } from '@/api/equipmentParamsManagement/paramsMaps';

const GET_PARAMS_MAP_LIST = 'GET_PARAMS_MAP_LIST';

const initFilters = () => ({
  name: '',
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});
const getters = {
  paramsMapList: state => state.list,
};
const actions = {
  fetchParamsMapList({ dispatch, commit, state, getters }, entity) {
    let filters = getFilters(getters.filters);

    return fetchParamsMapList({
      params: {
        ...filters,
        ...state.pagination,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_PARAMS_MAP_LIST, list);
    });
  },
};
const mutations = {
  [GET_PARAMS_MAP_LIST](state, list) {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
